net.sf.jasperreports.engine.base

## Class JRBaseBand

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementGroup
  - - net.sf.jasperreports.engine.base.JRBaseBand

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRChangeEventsSupport, JRBand, JRChild, JRCloneable, JRElementGroup, JRPropertiesHolder, JRVisitable

      public class JRBaseBand
      extends JRBaseElementGroup
      implements JRBand, JRChangeEventsSupport

  Used for implementing band functionality. A report can contain the following bands: background, title, summary, page header, page footer, last page footer, column header and column footer.
  Version:
    $Id: JRBaseBand.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    `JRBaseSection`, Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `height`
    `protected JRExpression` | `printWhenExpression`
    `static java.lang.String` | `PROPERTY_SPLIT_TYPE`
    `protected SplitTypeEnum` | `splitTypeValue`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `children, elementGroup`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRBaseBand(JRBand band, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `int` | `getHeight()`
    `JRPropertiesHolder` | `getParentProperties()` Returns the parent properties holder, whose properties are used as defaults for this object.
    `JRExpression` | `getPrintWhenExpression()` Returns the boolean expression that specifies if the band will be displayed.
    `JRPropertiesMap` | `getPropertiesMap()` Returns this object's properties map.
    `SplitTypeEnum` | `getSplitTypeValue()` Specifies the band split behavior.
    `boolean` | `hasProperties()` Checks whether the object has any properties.
    `void` | `setSplitType(SplitTypeEnum splitTypeValue)`

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementGroup

      `clone, getChildren, getElementByKey, getElementByKey, getElementGroup, getElements, getElements, visit`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementGroup

      `getChildren, getElementByKey, getElementGroup, getElements`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRChild

      `clone`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRVisitable

      `visit`

- - ### Field Detail

    - #### PROPERTY_SPLIT_TYPE

          public static final java.lang.String PROPERTY_SPLIT_TYPE

      See Also:
        Constant Field Values

    - #### height

          protected int height

    - #### splitTypeValue

          protected SplitTypeEnum splitTypeValue

    - #### printWhenExpression

          protected JRExpression printWhenExpression

  - ### Constructor Detail

    - #### JRBaseBand

          protected JRBaseBand(JRBand band,
                    JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getHeight

          public int getHeight()

      Specified by:
        `getHeight` in interface `JRBand`

    - #### getSplitTypeValue

          public SplitTypeEnum getSplitTypeValue()

      Description copied from interface: `JRBand`
      Specifies the band split behavior.
      Specified by:
        `getSplitTypeValue` in interface `JRBand`

    - #### setSplitType

          public void setSplitType(SplitTypeEnum splitTypeValue)

      Specified by:
        `setSplitType` in interface `JRBand`

    - #### getPrintWhenExpression

          public JRExpression getPrintWhenExpression()

      Description copied from interface: `JRBand`
      Returns the boolean expression that specifies if the band will be displayed.
      Specified by:
        `getPrintWhenExpression` in interface `JRBand`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementGroup`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

    - #### hasProperties

          public boolean hasProperties()

      Description copied from interface: `JRPropertiesHolder`
      Checks whether the object has any properties.
      Specified by:
        `hasProperties` in interface `JRPropertiesHolder`
      Returns:
        whether the object has any properties

    - #### getPropertiesMap

          public JRPropertiesMap getPropertiesMap()

      Description copied from interface: `JRPropertiesHolder`
      Returns this object's properties map.
      Specified by:
        `getPropertiesMap` in interface `JRPropertiesHolder`
      Returns:
        this object's properties map

    - #### getParentProperties

          public JRPropertiesHolder getParentProperties()

      Description copied from interface: `JRPropertiesHolder`
      Returns the parent properties holder, whose properties are used as defaults for this object.
      Specified by:
        `getParentProperties` in interface `JRPropertiesHolder`
      Returns:
        the parent properties holder, or `null` if no parent

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com